build.gradle 1.3 KB
Newer Older
1
apply plugin: 'java'
2 3
sourceCompatibility = 1.6
targetCompatibility = 1.6
4

5 6
apply plugin: 'net.ltgt.apt'
apply plugin: 'idea'
7 8
apply plugin: 'witness'

9
dependencies {
10
	compile project(path: ':briar-api', configuration: 'default')
11
	compile 'com.rometools:rome:1.7.3'
12
	compile 'org.jdom:jdom2:2.0.6'
13 14
	compile 'com.squareup.okhttp3:okhttp:3.8.0'
	compile 'org.jsoup:jsoup:1.10.3'
15

16 17
	apt 'com.google.dagger:dagger-compiler:2.0.2'

18
	testCompile project(path: ':bramble-core', configuration: 'default')
19
	testCompile project(path: ':bramble-core', configuration: 'testOutput')
20
	testCompile project(path: ':bramble-api', configuration: 'testOutput')
21
	testCompile 'net.jodah:concurrentunit:0.4.2'
22 23

	testApt 'com.google.dagger:dagger-compiler:2.0.2'
24 25 26
}

dependencyVerification {
27
	verify = [
28
			'com.rometools:rome:077367bf8fa01b211c9da712c2aa862724195773c5693fd4d97d61d6457e96c6',
29
			'org.jdom:jdom2:1345f11ba606d15603d6740551a8c21947c0215640770ec67271fe78bea97cf5',
30 31 32 33
			'com.squareup.okhttp3:okhttp:19e1db51787716ff0046fa19e408fb34ed32a6274baa0c07475bf724b4eb6800',
			'org.jsoup:jsoup:a0784e793d7f518eb1defb47b428da011cd483c5da32d49c569bf491e4f1579a',
			'org.slf4j:slf4j-api:e56288031f5e60652c06e7bb6e9fa410a61231ab54890f7b708fc6adc4107c5b',
			'com.squareup.okio:okio:734269c3ebc5090e3b23566db558f421f0b4027277c79ad5d176b8ec168bb850',
34
	]
35
}